document.addEventListener('DOMContentLoaded', function() {
  const searchInput = document.getElementById('search-input');
  const searchButton = document.getElementById('search-button');
  
  // Focus search input on page load
  searchInput.focus();
  
  // Handle search submission
  function performSearch() {
    const query = searchInput.value.trim();
    if (query) {
      // In a real implementation, this would submit to a search backend
      alert(`Searching for: ${query}\n\nThis is a demo. In a real implementation, this would show search results.`);
    }
  }
  
  // Click handler for search button
  searchButton.addEventListener('click', performSearch);
  
  // Enter key handler for search input
  searchInput.addEventListener('keypress', function(e) {
    if (e.key === 'Enter') {
      performSearch();
    }
  });
  
  // Smooth scrolling for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      const targetId = this.getAttribute('href');
      if (targetId !== '#') {
        document.querySelector(targetId).scrollIntoView({
          behavior: 'smooth'
        });
      }
    });
  });
});